Project

General

Profile

Bug #2837

[cups-filters] Broken dependency

rfb - about 1 month ago - . Updated 25 days ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

0%


Description

Following this issue Bug #2834: [cups-filters][tokyocabinet]: Signature is unkown trust, cups-filters has now a broken dependency on poppler.
I installed cups-filters before the rebuilt was pushed to the repos, my poppler package is already 0.90.0 and when I tried to do a full update this morning with sudo pacman -Syu I got the following error:

error: failed to prepare transaction (could not satisfy dependencies)
:: impossible to satisfy dependency 'poppler=0.90.0' required by cups-filters

Related issues

Related to Packages - Bug #2841: texlive-bin needs to be rebuilt for new poppler versionfixed

Actions

History

#1

Updated by theova 29 days ago

There is the same problem with texlive-bin:

sudo pacman -Syu poppler 
:: Synchronizing package databases...
 libre is up to date
 core is up to date
 extra is up to date
 community is up to date
 pcr is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "poppler=0.90.0", a dependency of "cups-filters" 
warning: cannot resolve "poppler=0.90.0-1", a dependency of "texlive-bin" 
:: The following packages cannot be upgraded due to unresolvable dependencies:
      cups-filters  texlive-bin

:: Do you want to skip the above packages for this upgrade? [y/N] y
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing poppler (0.90.1-1) breaks dependency 'poppler=0.88.0-1' required by texlive-bin

#2

Updated by bill-auger 29 days ago

poppler has been upgraded, so all of its dependents will need to
be rebuilt #2721 #2351 #2079

#3

Updated by bill-auger 29 days ago

  • Status changed from unconfirmed to confirmed
#4

Updated by bill-auger 26 days ago

  • Related to Bug #2841: texlive-bin needs to be rebuilt for new poppler version added
#5

Updated by bill-auger 25 days ago

  • Assignee set to bill-auger

'cups-filters' 1.27.5-1.parabola4 fixes this

#6

Updated by bill-auger 25 days ago

  • Status changed from confirmed to fixed

Also available in: Atom PDF